package gq.unurled.raxen.components.entity;

import gq.unurled.raxen.Raxen;
import org.bukkit.NamespacedKey;

public class EntityNamespacedKey {
    public EntityNamespacedKey(Raxen main) {
        nameKey = new NamespacedKey(main, "name");
        levelKey = new NamespacedKey(main, "level");
        healthKey = new NamespacedKey(main, "health");
        itemHealthKey = new NamespacedKey(main, "itemHealth");
        speedKey = new NamespacedKey(main, "speed");
        itemSpeedKey = new NamespacedKey(main, "itemSpeedKey");
        defenseKey = new NamespacedKey(main, "defense");
        itemDefenseKey = new NamespacedKey(main, "itemDefense");
        strengthKey = new NamespacedKey(main, "strength");
        itemStrengthKey = new NamespacedKey(main, "itemDmg");
    }

    public final NamespacedKey nameKey;
    public final NamespacedKey levelKey;
    public final NamespacedKey healthKey;
    public final NamespacedKey itemHealthKey;
    public final NamespacedKey speedKey;
    public final NamespacedKey itemSpeedKey;
    public final NamespacedKey defenseKey;
    public final NamespacedKey itemDefenseKey;
    public final NamespacedKey strengthKey;
    public final NamespacedKey itemStrengthKey;

}
