package gq.unurled.raxen.listener.entity;

import org.bukkit.entity.Entity;
import org.bukkit.entity.LivingEntity;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntitySpawnEvent;

import static gq.unurled.raxen.components.entity.Entity.updateSkills;
import static gq.unurled.raxen.utils.Utils.log;

public class SpawnEvent implements Listener {
    @EventHandler
    public void Spawn(EntitySpawnEvent e) {
        if (e.getEntity() instanceof Player) {
            //player stuff dont want to talk about it;
            log("Player: " + ((Player) e.getEntity()).getName());
        } else {
            log(e.getEntity().getName());
            updateSkills((LivingEntity) e.getEntity());
        }
    }
}
